package com.onsiteservice.miniapp.controller.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.util.Date;

@Data
@ApiModel("订单预约请求模型")
public class SaveServiceOrderDTO {

    /**
     * 账号
     */
    @ApiModelProperty("账号")
    private Long accountNo;

    /**
     * 服务地址id
     */
    @ApiModelProperty(value = "服务地址id", required = true)
    private Long addressId;

    /**
     * 期望上门时间
     */
    @ApiModelProperty(value = "期望上门时间", required = true)
    private Date expectArrivalTime;

    /**
     * 服务数量
     */
    @ApiModelProperty(value = "服务数量", required = true)
    private Integer num;

    /**
     * 服务需求图片
     */
    @ApiModelProperty("服务需求图片")
    private String demandImg;

    /**
     * 服务需求说明
     */
    @ApiModelProperty("服务需求说明")
    private String demandDesc;

    /**
     * 是否阅读协议：1已阅读，0未阅读
     */
    @ApiModelProperty("是否阅读协议：1已阅读，0未阅读")
    private Integer readAgreement;

}